package com.gingersoft.gsa.cloud.common.function.jump;

import android.content.Context;
import android.text.TextUtils;

import com.billy.cc.core.component.CC;

/**
 * @author : bin
 * @create date: 2020-11-26
 * @update date: 2020-11-26
 * @description:
 */
public class CCToJumpStrategy implements ActivityJumpStrategy{

    @Override
    public void actionToJumpPage(Context context, ActivityJumpBean jumpBean) {
        if (!TextUtils.isEmpty(jumpBean.getComponentName()) && !TextUtils.isEmpty(jumpBean.getActionName())) {
            CC.obtainBuilder(jumpBean.getComponentName())
                    .setActionName(jumpBean.getActionName())
                    .build()
                    .call();
        }
    }
}
